## luma.led-matrix 1.5.0%2Bdfsg1

=== debian/changelog ===
luma.led-matrix (1.5.0+dfsg1-3) unstable; urgency=medium

  * [0b9afd9] Move package into the Electronics Team
  * [ff07b5f] Wrap long lines in changelog entries: 1.5.0+dfsg1-2.
  * [7f70f86] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Mar 2021 22:22:14 +0100

luma.led-matrix (1.5.0+dfsg1-2) unstable; urgency=medium

  * [7e296aa] Remove dh_make template from debian watch.
  * [ae3e3a5] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [60e1dc8] Fix doc generation

 -- Anton Gladky <gladk@debian.org>  Sat, 27 Feb 2021 14:29:48 +0100

luma.led-matrix (1.5.0+dfsg1-1) unstable; urgency=medium

  * Initial upload (Closes: #980771)

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Jan 2021 21:51:32 +0100

## luma.led-matrix 1.7.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/luma.led_matrix.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/luma.led_matrix.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/luma.led_matrix"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/luma.led_matrix"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## luma.led-matrix 1.5.0+dfsg1

=== debian/control ===
Source: luma.led-matrix
Maintainer: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-pil,
               python3-pytest,
               python3-setuptools,
               sphinx
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/luma.led-matrix
Vcs-Git: https://salsa.debian.org/debian/luma.led-matrix.git
Homepage: https://github.com/rm-hull/luma.led_matrix
Testsuite: autopkgtest-pkg-python

Package: python3-luma.led-matrix
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-luma.core
Description: library interfacing LED matrix displays
 Library interfacing LED matrix displays with the MAX7219 driver
 (using SPI), WS2812 (NeoPixels, inc Pimoroni Unicorn pHat/Hat
 and Unicorn Hat HD) and APA102 (DotStar) on the Raspberry Pi
 and other Linux-based single board computers - it providesxi
  a Pillow-compatible drawing canvas, and other functionality to support:
    multiple cascaded devices
    LED matrix, seven-segment and NeoPixel variants
    scrolling/panning capability,
    terminal-style printing,
    state management,
    dithering to monochrome,
    pygame emulator

Package: luma.led-matrix-doc
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: doc for library interfacing LED matrix displays
 Library interfacing LED matrix displays with the MAX7219 driver
 (using SPI), WS2812 (NeoPixels, inc Pimoroni Unicorn pHat/Hat
 and Unicorn Hat HD) and APA102 (DotStar) on the Raspberry Pi
 and other Linux-based single board computers - it providesxi
  a Pillow-compatible drawing canvas, and other functionality to support:
    multiple cascaded devices
    LED matrix, seven-segment and NeoPixel variants
    scrolling/panning capability,
    terminal-style printing,
    state management,
    dithering to monochrome,
    pygame emulator
    Package contains documentation

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = luma.led_matrix

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *luma.led_matrix.egg-info

override_dh_auto_test:

override_dh_auto_install-indep:
	cd $(CURDIR)/doc && make html
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/readthedocs.org//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/travis-ci.org//g'

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
    dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
    https://github.com/rm-hull/luma.led_matrix/tags .*/v?(\d\S+)\.tar\.gz

## luma.led-matrix 1.7.0

=== debian/changelog ===
luma.led-matrix (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [d65a3f2] Apply multi-arch hints. + luma.led-matrix-doc: Add Multi-Arch: foreign.

  [ Anton Gladky ]
  * [7b2e892] New upstream version 1.7.0.
  * [f3aad59] Update standards version to 4.6.2, no changes needed.
  * [3f62837] Replace sphinx by python3-sphinx.
  * [d586fb9] Set minimal luma-core version to 2.4.0

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Jan 2023 10:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: luma.led-matrix
-Maintainer: Anton Gladky <gladk@debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,10 +9,10 @@
                python3-pil,
                python3-pytest,
                python3-setuptools,
-               sphinx
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/luma.led-matrix
-Vcs-Git: https://salsa.debian.org/debian/luma.led-matrix.git
+               python3-sphinx
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/electronics-team/luma.led-matrix
+Vcs-Git: https://salsa.debian.org/electronics-team/luma.led-matrix.git
 Homepage: https://github.com/rm-hull/luma.led_matrix
 Testsuite: autopkgtest-pkg-python
 
@@ -21,7 +22,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-luma.core
+         python3-luma.core (>= 2.4.0)
 Description: library interfacing LED matrix displays
  Library interfacing LED matrix displays with the MAX7219 driver
  (using SPI), WS2812 (NeoPixels, inc Pimoroni Unicorn pHat/Hat
@@ -41,6 +42,7 @@
 Section: python
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: doc for library interfacing LED matrix displays
  Library interfacing LED matrix displays with the MAX7219 driver
  (using SPI), WS2812 (NeoPixels, inc Pimoroni Unicorn pHat/Hat

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_auto_test:
 
 override_dh_auto_install-indep:
-	cd $(CURDIR)/doc && make html
+	cd $(CURDIR)/doc && PYTHONPATH=$(CURDIR) make html
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'

## luma.led-matrix 1.8.0

=== debian/changelog ===
luma.led-matrix (1.8.0-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Aug 2025 15:04:57 +0200

luma.led-matrix (1.8.0-1~exp3) experimental; urgency=medium

  * [16c5f7f] chore: Remove autopkgtest-pkg-python

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 11:43:30 +0200

luma.led-matrix (1.8.0-1~exp2) experimental; urgency=medium

  * [bdbfd23] Add autopkgtest

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 11:06:23 +0200

luma.led-matrix (1.8.0-1~exp1) experimental; urgency=medium

  * [0378c79] New upstream version 1.8.0
  * [bbdece9] chore: Update Standards-Version and dependencies.
  * [e9545bf] chore: Remove doc build artifacts during clean. (Closes: #1047369}
  * [8eb49e2] chore: Add python3-luma.core as build dependency.
  * [45ff566] chore: Add python3-sphinx-rtd-theme dependency.
  * [5f64d20] Do not let to fail on reprotest.

 -- Anton Gladky <gladk@debian.org>  Sat, 19 Jul 2025 23:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-dev,
+               python3-luma.core,
                python3-pil,
                python3-pytest,
+               python3-sphinx-rtd-theme,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/luma.led-matrix
 Vcs-Git: https://salsa.debian.org/electronics-team/luma.led-matrix.git
 Homepage: https://github.com/rm-hull/luma.led_matrix
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-luma.led-matrix
 Architecture: any
@@ -22,7 +23,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-luma.core (>= 2.4.0)
+         python3-luma.core
 Description: library interfacing LED matrix displays
  Library interfacing LED matrix displays with the MAX7219 driver
  (using SPI), WS2812 (NeoPixels, inc Pimoroni Unicorn pHat/Hat
@@ -39,10 +40,10 @@
 
 Package: luma.led-matrix-doc
 Architecture: all
+Multi-Arch: foreign
 Section: python
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Multi-Arch: foreign
 Description: doc for library interfacing LED matrix displays
  Library interfacing LED matrix displays with the MAX7219 driver
  (using SPI), WS2812 (NeoPixels, inc Pimoroni Unicorn pHat/Hat

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf *luma.led_matrix.egg-info
-
-override_dh_auto_test:
+	rm -rf doc/_build
 
 override_dh_auto_install-indep:
 	cd $(CURDIR)/doc && PYTHONPATH=$(CURDIR) make html

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: python3, python3-pytest, python3-pytest-cov, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
https://github.com/rm-hull/luma.led_matrix/tags .*/v?(\d\S+)\.tar\.gz
